MARKETPLACE-PUBLISHER_ATTACHMENT(1)

NAME
marketplace-publisher_attachment -

DESCRIPTION

Use the Marketplace Publisher CLI to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.

AVAILABLE COMMANDS

•   attachment

•   create

•   delete

•   get

•   get-attachment-content

•   attachment-collection

•   list-attachments

  attachment

  Description

Description of Attachment.

  Available Commands

•   create

•   delete

•   get

•   get-attachment-content

  create

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates a new Attachment.

  Usage

oci marketplace-publisher attachment attachment create [OPTIONS]

  Required Parameters

--display-name [text]

    The name used to refer to the uploaded data.

--file-base64-encoded [text]

    Base64-encoded file to attach to the Offer. File must be a PDF with maximum size of 1 MB

--offer-id [text]

    unique Offer identifier

--type [text]

    The type of offer attachment.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, UPDATING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-display-name
    export seller_compartment_id=<substitute-value-of-seller_compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-seller-compartment-id
    export file_base64_encoded=<substitute-value-of-file_base64_encoded> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-file-base64-encoded
    export type=<substitute-value-of-type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-type
    offer_id=$(oci marketplace-publisher offer offer create --display-name $display_name --seller-compartment-id $seller_compartment_id --query data.id --raw-output)
    oci marketplace-publisher attachment attachment create --display-name $display_name --file-base64-encoded $file_base64_encoded --offer-id $offer_id --type $type

  delete

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Deletes a Attachment resource by identifier

  Usage

oci marketplace-publisher attachment attachment delete [OPTIONS]

  Required Parameters

--attachment-id [text]

    unique Offer identifier

--offer-id [text]

    unique Offer identifier

  Optional Parameters

--force

    Perform deletion without prompting for confirmation.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the work request to reach the state defined by --wait-for-state. Defaults to 1200 seconds.

--wait-for-state [text]

    This operation asynchronously creates, modifies or deletes a resource and uses a work request to track the progress of the operation. Specify this option to perform the action and then wait until the work request reaches a certain state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    ACCEPTED, CANCELED, CANCELING, FAILED, IN_PROGRESS, NEEDS_ATTENTION, SUCCEEDED, WAITING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the work request has reached the state defined by --wait-for-state. Defaults to 30 seconds.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-display-name
    export seller_compartment_id=<substitute-value-of-seller_compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-seller-compartment-id
    export file_base64_encoded=<substitute-value-of-file_base64_encoded> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-file-base64-encoded
    export type=<substitute-value-of-type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-type
    offer_id=$(oci marketplace-publisher offer offer create --display-name $display_name --seller-compartment-id $seller_compartment_id --query data.id --raw-output)
    attachment_id=$(oci marketplace-publisher attachment attachment create --display-name $display_name --file-base64-encoded $file_base64_encoded --offer-id $offer_id --type $type --query data.id --raw-output)
    oci marketplace-publisher attachment attachment delete --attachment-id $attachment_id --offer-id $offer_id

  get

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Gets a Attachment by identifier

  Usage

oci marketplace-publisher attachment attachment get [OPTIONS]

  Required Parameters

--attachment-id [text]

    unique Offer identifier

--offer-id [text]

    unique Offer identifier

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-display-name
    export seller_compartment_id=<substitute-value-of-seller_compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-seller-compartment-id
    export file_base64_encoded=<substitute-value-of-file_base64_encoded> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-file-base64-encoded
    export type=<substitute-value-of-type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-type
    offer_id=$(oci marketplace-publisher offer offer create --display-name $display_name --seller-compartment-id $seller_compartment_id --query data.id --raw-output)
    attachment_id=$(oci marketplace-publisher attachment attachment create --display-name $display_name --file-base64-encoded $file_base64_encoded --offer-id $offer_id --type $type --query data.id --raw-output)
    oci marketplace-publisher attachment attachment get --attachment-id $attachment_id --offer-id $offer_id

  get-attachment-content

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Gets a Attachment content by identifier

  Usage

oci marketplace-publisher attachment attachment get-attachment-content [OPTIONS]

  Required Parameters

--attachment-id [text]

    unique Offer identifier

--file [filename]

    The name of the file that will receive the response data, or ‘-‘ to write to STDOUT.

--offer-id [text]

    unique Offer identifier

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-display-name
    export seller_compartment_id=<substitute-value-of-seller_compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-seller-compartment-id
    export file_base64_encoded=<substitute-value-of-file_base64_encoded> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-file-base64-encoded
    export type=<substitute-value-of-type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/attachment/attachment/create.html#cmdoption-type
    offer_id=$(oci marketplace-publisher offer offer create --display-name $display_name --seller-compartment-id $seller_compartment_id --query data.id --raw-output)
    attachment_id=$(oci marketplace-publisher attachment attachment create --display-name $display_name --file-base64-encoded $file_base64_encoded --offer-id $offer_id --type $type --query data.id --raw-output)
    oci marketplace-publisher attachment attachment get-attachment-content --attachment-id $attachment_id --file $file --offer-id $offer_id

  attachment-collection

  Description

Results of a offers search. Contains boh AttachmentSummary items.

  Available Commands

•   list-attachments

  list-attachments

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns a list of Attachments. Requires either the BuyerCompartmentId or the SellerCompartmentId params. If neither or both are provided, then the API will return a 400.

  Usage

oci marketplace-publisher attachment attachment-collection list-attachments [OPTIONS]

  Required Parameters

--offer-id [text]

    unique Offer identifier

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--buyer-compartment-id [text]

    The ID of the buyer compartment this offer is associated with.

--display-name [text]

    A filter to return only resources that match the entire display name given.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--id [text]

    unique Offer identifier

--lifecycle-state [text]

    A filter to return only resources their lifecycleState matches the given lifecycleState.

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, UPDATING

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--seller-compartment-id [text]

    The ID of the seller compartment this offer is associated with.

--sort-by [text]

    The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.

    Accepted values are:

    displayName, timeCreated

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-display-name
    export seller_compartment_id=<substitute-value-of-seller_compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/marketplace-publisher/offer/offer/create.html#cmdoption-seller-compartment-id
    offer_id=$(oci marketplace-publisher offer offer create --display-name $display_name --seller-compartment-id $seller_compartment_id --query data.id --raw-output)
    oci marketplace-publisher attachment attachment-collection list-attachments --offer-id $offer_id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle